curl --request POST \
--url https://toapis.com/v1/videos/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "grok-imagine-video-1.5-official",
"prompt": "鏡頭緩慢推近,女士開始說話",
"image": "https://example.com/portrait.jpg",
"duration": 8,
"resolution": "1080p",
"aspect_ratio": "16:9"
}'
import requests
response = requests.post(
"https://toapis.com/v1/videos/generations",
headers={
"Authorization": "Bearer your-ToAPIs-key",
"Content-Type": "application/json"
},
json={
"model": "grok-imagine-video-1.5-official",
"prompt": "鏡頭緩慢推近,女士開始說話",
"image": "https://example.com/portrait.jpg",
"duration": 8,
"resolution": "1080p",
"aspect_ratio": "16:9"
}
)
task = response.json()
print(f"Task ID: {task['id']}")
print(f"Status: {task['status']}")
const response = await fetch('https://toapis.com/v1/videos/generations', {
method: 'POST',
headers: {
'Authorization': 'Bearer your-ToAPIs-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'grok-imagine-video-1.5-official',
prompt: '鏡頭緩慢推近,女士開始說話',
image: 'https://example.com/portrait.jpg',
duration: 8,
resolution: '1080p',
aspect_ratio: '16:9'
})
});
const task = await response.json();
console.log(`Task ID: ${task.id}`);
console.log(`Status: ${task.status}`);
{
"id": "tsk_vid_01M59KZ8B8A4VKCBB7QGXQZV2E",
"object": "generation.task",
"model": "grok-imagine-video-1.5-official",
"status": "queued",
"progress": 0,
"created_at": 1768380224,
"metadata": {}
}
Grok Imagine Video (Official)
Grok Imagine Video 1.5 視頻生成 (官方通道)
通過官方渠道使用 Grok Imagine Video 1.5 生成視頻,最高支持 1080p
POST
/
v1
/
videos
/
generations
curl --request POST \
--url https://toapis.com/v1/videos/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "grok-imagine-video-1.5-official",
"prompt": "鏡頭緩慢推近,女士開始說話",
"image": "https://example.com/portrait.jpg",
"duration": 8,
"resolution": "1080p",
"aspect_ratio": "16:9"
}'
import requests
response = requests.post(
"https://toapis.com/v1/videos/generations",
headers={
"Authorization": "Bearer your-ToAPIs-key",
"Content-Type": "application/json"
},
json={
"model": "grok-imagine-video-1.5-official",
"prompt": "鏡頭緩慢推近,女士開始說話",
"image": "https://example.com/portrait.jpg",
"duration": 8,
"resolution": "1080p",
"aspect_ratio": "16:9"
}
)
task = response.json()
print(f"Task ID: {task['id']}")
print(f"Status: {task['status']}")
const response = await fetch('https://toapis.com/v1/videos/generations', {
method: 'POST',
headers: {
'Authorization': 'Bearer your-ToAPIs-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'grok-imagine-video-1.5-official',
prompt: '鏡頭緩慢推近,女士開始說話',
image: 'https://example.com/portrait.jpg',
duration: 8,
resolution: '1080p',
aspect_ratio: '16:9'
})
});
const task = await response.json();
console.log(`Task ID: ${task.id}`);
console.log(`Status: ${task.status}`);
{
"id": "tsk_vid_01M59KZ8B8A4VKCBB7QGXQZV2E",
"object": "generation.task",
"model": "grok-imagine-video-1.5-official",
"status": "queued",
"progress": 0,
"created_at": 1768380224,
"metadata": {}
}
中國大陸用戶請注意: 中國大陸用戶請使用
https://toapis.cn 作為接口地址(Base URL)。文檔示例中的 https://toapis.com 請替換為 https://toapis.cn。- 官方渠道 Grok Imagine Video 1.5 視頻生成模型
- 通過 model 參數選擇
grok-imagine-video-1.5-official模型 - 僅支持首幀圖生視頻——必須提供且僅提供一張輸入圖片
- 最高支持 1080p 輸出
- 異步任務管理,通過任務 ID 查詢結果
重要變更:爲了更好的性能和成本控制,我們不再支持在
reference_images 中直接傳入 base64 圖片數據。請先使用 上傳圖片接口 上傳圖片,獲取 URL 後再調用本接口。Authorizations
string
必填
所有接口均需要使用 Bearer Token 進行認證獲取 API Key:訪問 API Key 管理頁面 獲取您的 API Key使用時在請求頭中添加:
Authorization: Bearer YOUR_API_KEY
Body
string
預設值:"grok-imagine-video-1.5-official"
必填
視頻生成模型名稱支持的模型:
grok-imagine-video-1.5-official- 官方渠道 Grok Imagine Video 1.5 模型
"grok-imagine-video-1.5-official"string
必填
視頻生成的文本描述
string
必填
首幀圖片 URL。必填——本模型僅支持單張輸入圖片的圖生視頻。僅支持公網可訪問的
http:// 或 https:// URL。integer
預設值:"8"
視頻時長(秒)支持範圍:
1–15 秒string
預設值:"720p"
視頻分辨率支持值:
480p、720p、1080pstring
視頻寬高比支持格式:
16:9(橫屏)9:16(豎屏)4:3(橫屏)3:4(豎屏)3:2(橫屏)2:3(豎屏)1:1(方形)
string[]
附加參考圖片 URL 數組⚠️ 僅支持 URL 格式(已不再支持 base64)
- 公網可訪問的圖片 URL(http:// 或 https://)
image與reference_images合計最多 7 張- 請使用 上傳圖片接口 上傳本地圖片獲取 URL
計費說明:輸出按秒 × 分辨率檔位計費。每張輸入圖片單獨計費——本模型強制要求一張首幀圖,因此每個任務都包含一次輸入圖片費用。本模型不支持視頻延長。
Response
string
唯一任務標識,用於查詢任務狀態
string
對象類型,始終爲
generation.taskstring
使用的模型名稱
string
任務狀態
queued- 排隊等待處理in_progress- 處理中completed- 已完成failed- 失敗
integer
任務創建時間戳(Unix 時間戳)
integer
任務進度,提交後通常爲
0object
任務元數據
curl --request POST \
--url https://toapis.com/v1/videos/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "grok-imagine-video-1.5-official",
"prompt": "鏡頭緩慢推近,女士開始說話",
"image": "https://example.com/portrait.jpg",
"duration": 8,
"resolution": "1080p",
"aspect_ratio": "16:9"
}'
import requests
response = requests.post(
"https://toapis.com/v1/videos/generations",
headers={
"Authorization": "Bearer your-ToAPIs-key",
"Content-Type": "application/json"
},
json={
"model": "grok-imagine-video-1.5-official",
"prompt": "鏡頭緩慢推近,女士開始說話",
"image": "https://example.com/portrait.jpg",
"duration": 8,
"resolution": "1080p",
"aspect_ratio": "16:9"
}
)
task = response.json()
print(f"Task ID: {task['id']}")
print(f"Status: {task['status']}")
const response = await fetch('https://toapis.com/v1/videos/generations', {
method: 'POST',
headers: {
'Authorization': 'Bearer your-ToAPIs-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'grok-imagine-video-1.5-official',
prompt: '鏡頭緩慢推近,女士開始說話',
image: 'https://example.com/portrait.jpg',
duration: 8,
resolution: '1080p',
aspect_ratio: '16:9'
})
});
const task = await response.json();
console.log(`Task ID: ${task.id}`);
console.log(`Status: ${task.status}`);
{
"id": "tsk_vid_01M59KZ8B8A4VKCBB7QGXQZV2E",
"object": "generation.task",
"model": "grok-imagine-video-1.5-official",
"status": "queued",
"progress": 0,
"created_at": 1768380224,
"metadata": {}
}